Skip to main content
`Ctrl`+`K`

# DMPlexTransformSetActive

Set the `DMLabel` marking the active points for the transform

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetActive(DMPlexTransform tr, DMLabel active)

## Input Parameters

- tr - The `DMPlexTransform` object

- active - The `DMLabel` indicating which points will be transformed

## Note

This only applies to transforms listed in Summary of Unstructured Mesh Transformations that operate on a subset of the mesh.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformGetActive()`, `DMPlexTransformApply()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages